#pragma once

#include <maps/wikimap/mapspro/services/autocart/pipeline/libs/objects/include/base_object.h>

#include <maps/libs/geolib/include/point.h>

#include <mapreduce/yt/interface/client.h>

namespace maps::wiki::autocart::pipeline {

class Dwellplace : public BaseObject<geolib3::Point2, Dwellplace> {
public:
    static Dwellplace fromYTNode(const NYT::TNode& node);

    bool operator==(const Dwellplace& that) const;

    NYT::TNode toYTNode() const;
    void toYTNode(NYT::TNode& node) const;
};

} // namespace maps::wiki::autocart::pipeline
